<?xml version="1.0" encoding="utf-8"?>
<Entity 
Schema="VCLib" 
Name="FILE" 
Description="Файл" 
PrimaryKey="FileID" 
DNAttributes="{Name}" 
DisplayName="{0}">
  <Fields>
    <Attribute Name="FileID" Index="3200001" Type="guid" Description="Идентификатор" />
    <Attribute Name="Name" Index="3200002" Type="string" Description="Имя файла" Required="1" />
    <Attribute Name="FileDescription" Index="3200003" Type="string" Description="Описание" CharacterMaximumLength="1024" />
    <Attribute Name="CreateDateTime" Index="3200005" Type="datetime" DefaultFormat="{0:dd.MM.yyyy HH:mm}" Description="Дата создания" />
    <Attribute Name="Folder" Index="3200006" Type="string" Description="Папка" />
    <Attribute Name="FileHash" Index="3200008" Type="string" Description="Хэш" CharacterMaximumLength="50" />
    <Choice Name="FileNameForm" Index="3200007" Description="Формат наименования файла" Required="1">
      <Item Name="Идентификатор" Index="0" />
      <Item Name="Наименование" Index="1" />
    </Choice>
    <Choice Name="SaveFileLocation" Index="3200009" Description="Место хранения файла" Required="1">
      <Item Name="Не установлено" Index="-1" />
      <Item Name="В файле" Index="0" />
      <Item Name="В базе данных" Index="1" />
      <Item Name="mongo" Index="2" />
    </Choice>
    <Attribute Name="UseOle" Type="bool" Description="Старый формат сохранения данных" Required="1" />
    <Attribute Name="Encoding" Type="string" Description="Кодировка" />
  </Fields>
  <DbMapping>
    <Table name="T_FILE">
      <Map Name="FileID" Column="FileID" />
      <Map Name="Name" Column="Name" />
      <Map Name="FileDescription" Column="FileDescription" />
      <Map Name="CreateDateTime" Column="CreateDateTime" />
      <Map Name="Folder" Column="Folder" />
      <Map Name="FileHash" Column="FileHash" />
      <Map Name="FileNameForm" Column="FileNameForm" />
      <Map Name="SaveFileLocation" Column="SaveFileLocation" />
      <Map Name="UseOle" Column="UseOle" />
      <Map Name="Encoding" Column="Encoding" />
    </Table>
  </DbMapping>
  <CalculatingAttributes>
    <Attribute Name="Content" Index="3200004" Type="binary" Description="Содержимое файла" Cashed="1" />
  </CalculatingAttributes>
</Entity>